- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Mers::Utils::Io::Xml::LoggingErrorHandler Class Reference

Collaboration diagram for Mers::Utils::Io::Xml::LoggingErrorHandler:

[legend]
List of all members.

## Public Member Functions
| LoggingErrorHandler (const log4cplus::Logger &logger=s_logger)
virtual void | warning (const XERCES_CPP_NAMESPACE::SAXParseException &exc)
virtual void | error (const XERCES_CPP_NAMESPACE::SAXParseException &exc)
virtual void | fatalError (const XERCES_CPP_NAMESPACE::SAXParseException &exc)
virtual void | resetErrors ()
## Static Protected Member Functions
static Mers::Utils::Lang::String | formatMessage (const XERCES_CPP_NAMESPACE::SAXParseException &exc)

## Detailed Description

Definition at line 24 of file LoggingErrorHandler.h.

## Constructor & Destructor Documentation

Mers::Utils::Io::Xml::LoggingErrorHandler::LoggingErrorHandler | ( | const log4cplus::Logger & | logger = `s_logger` | ) |

Constructs this class using the specified logger. This defaults to the default logger for this class.

Parameters:

  | logger | The logger to use for this class.

## Member Function Documentation

virtual void Mers::Utils::Io::Xml::LoggingErrorHandler::warning | ( | const XERCES_CPP_NAMESPACE::SAXParseException & | exc | ) | `[virtual]`

Called when a recoverable warning occurs while parsing.

virtual void Mers::Utils::Io::Xml::LoggingErrorHandler::error | ( | const XERCES_CPP_NAMESPACE::SAXParseException & | exc | ) | `[virtual]`

Called when a recoverable error occurs while parsing.

virtual void Mers::Utils::Io::Xml::LoggingErrorHandler::fatalError | ( | const XERCES_CPP_NAMESPACE::SAXParseException & | exc | ) | `[virtual]`

Called when a fatal error occurs while parsing.

void LoggingErrorHandler::resetErrors | ( |  | ) | `[virtual]`

We are being used to report errors on a new stream. Reset any state we keep (we don't keep any state).

Definition at line 59 of file LoggingErrorHandler.cpp.

static Mers::Utils::Lang::String Mers::Utils::Io::Xml::LoggingErrorHandler::formatMessage | ( | const XERCES_CPP_NAMESPACE::SAXParseException & | exc | ) | `[static, protected]`

Convertes a SAX Parse Exception into an appropriate string for printing.

The documentation for this class was generated from the following files:

- /Users/fpy/titan-1-5-MBARI/Mers/Utils/Io/Xml/LoggingErrorHandler.h
- /Users/fpy/titan-1-5-MBARI/Mers/Utils/Io/Xml/LoggingErrorHandler.cpp